GET api/Course/Hour/Chapter?courseHourId={courseHourId}

查询视频课时章节列表(说明:App和小程序通用)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
courseHourId

课时Id

integer

Required

Body Parameters

None.

Response Information

Resource Description

返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:课时章节列表不存在... 。200:成功... 。

HourChapterResult
NameDescriptionTypeAdditional information
chapterList

章节集合

Collection of HourChapter

None.

lessonPlanInfo

章节资源教案信息

LessonPlan

None.

chapterHandoutInfo

章节讲义信息

ChapterHandout

None.

havelesson

是否有资源教案(have/nohave)

string

None.

havehandout

是否有章节讲义(have/nohave)

string

None.

status

公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。

integer

None.

msg

消息

string

None.

Response Formats

application/json, text/json

Sample:
{
  "chapterList": [
    {
      "CourseHourChapter_ID": 1,
      "CourseHourChapter_CourseID": 2,
      "CourseHourChapter_CourseHourID": 3,
      "CourseHourChapter_Node": "sample string 4",
      "CourseHourChapter_Title": "sample string 5",
      "CourseHourChapter_Score": 6
    },
    {
      "CourseHourChapter_ID": 1,
      "CourseHourChapter_CourseID": 2,
      "CourseHourChapter_CourseHourID": 3,
      "CourseHourChapter_Node": "sample string 4",
      "CourseHourChapter_Title": "sample string 5",
      "CourseHourChapter_Score": 6
    }
  ],
  "lessonPlanInfo": {
    "LessonPlan_ID": 1,
    "LessonPlan_CourseHourChapterID": 1,
    "LessonPlan_Type": 1,
    "LessonPlan_VideoFileID": "sample string 2",
    "LessonPlan_FileUrl": "sample string 3",
    "LessonPlan_Duration": "sample string 4",
    "LessonPlan_CoverUrl": "sample string 5",
    "LessonPlan_States": 1,
    "LessonPlan_UpdateDate": "2026-07-02T06:10:24.7326706+08:00",
    "LessonPlan_CreateDate": "2026-07-02T06:10:24.7326706+08:00"
  },
  "chapterHandoutInfo": {
    "ChapterHandout_ID": 1,
    "ChapterHandout_HourChapterID": 1,
    "ChapterHandout_Content": "sample string 2",
    "ChapterHandout_States": 1,
    "ChapterHandout_UpdateDate": "2026-07-02T06:10:24.7326706+08:00",
    "ChapterHandout_CreateDate": "2026-07-02T06:10:24.7326706+08:00",
    "ChapterHandout_Url": "sample string 3",
    "ChapterHandout_Type": "sample string 4"
  },
  "havelesson": "sample string 1",
  "havehandout": "sample string 2",
  "status": 3,
  "msg": "sample string 4"
}